# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'net/ssh/local/version'

Gem::Specification.new do |spec|
  spec.name          = "net-ssh-local"
  spec.version       = Net::SSH::Local::VERSION
  spec.authors       = ["Steve Lamotte"]
  spec.email         = ["steve@lexor.ca"]

  spec.summary       = %q{Net::SSH plugin to streamline localhost operations.}
  spec.description   = %q(net-ssh-local is a plugin to streamline localhost operations when the hostname is "localhost" and the user is nil.)
  spec.homepage      = "https://github.com/slamotte/net-ssh-local"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "net-ssh", ">= 5.1.0"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rspec_junit_formatter"
end
